## sysbench 1.0.16

=== src/tests/threads/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sbthreads sb_threads.c)

=== third_party/luajit/luajit/Makefile ===
##############################################################################
# LuaJIT top level Makefile for installation. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Note: src/Makefile has many more configurable options.
#
# ##### This Makefile is NOT useful for Windows! #####
# For MSVC, please follow the instructions given in src/msvcbuild.bat.
# For MinGW and Cygwin, cd to src and run make with the Makefile there.
#
# Copyright (C) 2005-2017 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  1
RELVER=  0
PREREL=  -beta2
VERSION= $(MAJVER).$(MINVER).$(RELVER)$(PREREL)
ABIVER=  5.1

##############################################################################
#
# Change the installation path as needed. This automatically adjusts
# the paths in src/luaconf.h, too. Note: PREFIX must be an absolute path!
#
export PREFIX= /usr/local
export MULTILIB= lib
##############################################################################

DPREFIX= $(DESTDIR)$(PREFIX)
INSTALL_BIN=   $(DPREFIX)/bin
INSTALL_LIB=   $(DPREFIX)/$(MULTILIB)
INSTALL_SHARE= $(DPREFIX)/share
INSTALL_INC=   $(DPREFIX)/include/luajit-$(MAJVER).$(MINVER)

INSTALL_LJLIBD= $(INSTALL_SHARE)/luajit-$(VERSION)
INSTALL_JITLIB= $(INSTALL_LJLIBD)/jit
INSTALL_LMODD= $(INSTALL_SHARE)/lua
INSTALL_LMOD= $(INSTALL_LMODD)/$(ABIVER)
INSTALL_CMODD= $(INSTALL_LIB)/lua
INSTALL_CMOD= $(INSTALL_CMODD)/$(ABIVER)
INSTALL_MAN= $(INSTALL_SHARE)/man/man1
INSTALL_PKGCONFIG= $(INSTALL_LIB)/pkgconfig

INSTALL_TNAME= luajit-$(VERSION)
INSTALL_TSYMNAME= luajit
INSTALL_ANAME= libluajit-$(ABIVER).a
INSTALL_SOSHORT1= libluajit-$(ABIVER).so
INSTALL_SOSHORT2= libluajit-$(ABIVER).so.$(MAJVER)
INSTALL_SONAME= $(INSTALL_SOSHORT2).$(MINVER).$(RELVER)
INSTALL_DYLIBSHORT1= libluajit-$(ABIVER).dylib
INSTALL_DYLIBSHORT2= libluajit-$(ABIVER).$(MAJVER).dylib
INSTALL_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).$(MINVER).$(RELVER).dylib
INSTALL_PCNAME= luajit.pc

INSTALL_STATIC= $(INSTALL_LIB)/$(INSTALL_ANAME)
INSTALL_DYN= $(INSTALL_LIB)/$(INSTALL_SONAME)
INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_SOSHORT1)
INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT2)
INSTALL_T= $(INSTALL_BIN)/$(INSTALL_TNAME)
INSTALL_TSYM= $(INSTALL_BIN)/$(INSTALL_TSYMNAME)
INSTALL_PC= $(INSTALL_PKGCONFIG)/$(INSTALL_PCNAME)

INSTALL_DIRS= $(INSTALL_BIN) $(INSTALL_LIB) $(INSTALL_INC) $(INSTALL_MAN) \
  $(INSTALL_PKGCONFIG) $(INSTALL_JITLIB) $(INSTALL_LMOD) $(INSTALL_CMOD)
UNINSTALL_DIRS= $(INSTALL_JITLIB) $(INSTALL_LJLIBD) $(INSTALL_INC) \
  $(INSTALL_LMOD) $(INSTALL_LMODD) $(INSTALL_CMOD) $(INSTALL_CMODD)

RM= rm -f
MKDIR= mkdir -p
RMDIR= rmdir 2>/dev/null
SYMLINK= ln -sf
INSTALL_X= install -m 0755
INSTALL_F= install -m 0644
UNINSTALL= $(RM)
LDCONFIG= ldconfig -n
SED_PC= sed -e "s|^prefix=.*|prefix=$(PREFIX)|" \
            -e "s|^multilib=.*|multilib=$(MULTILIB)|"

FILE_T= luajit
FILE_A= libluajit.a
FILE_SO= libluajit.so
FILE_MAN= luajit.1
FILE_PC= luajit.pc
FILES_INC= lua.h lualib.h lauxlib.h luaconf.h lua.hpp luajit.h
FILES_JITLIB= bc.lua bcsave.lua dump.lua p.lua v.lua zone.lua \
	      dis_x86.lua dis_x64.lua dis_arm.lua dis_arm64.lua \
	      dis_ppc.lua dis_mips.lua dis_mipsel.lua dis_mips64.lua \
	      dis_mips64el.lua vmdef.lua

ifeq (,$(findstring Windows,$(OS)))
  HOST_SYS:= $(shell uname -s)
else
  HOST_SYS= Windows
endif
TARGET_SYS?= $(HOST_SYS)

ifeq (Darwin,$(TARGET_SYS))
  INSTALL_SONAME= $(INSTALL_DYLIBNAME)
  INSTALL_SOSHORT1= $(INSTALL_DYLIBSHORT1)
  INSTALL_SOSHORT2= $(INSTALL_DYLIBSHORT2)
  LDCONFIG= :
endif

##############################################################################

INSTALL_DEP= src/luajit

default all $(INSTALL_DEP):
	@echo "==== Building LuaJIT $(VERSION) ===="
	$(MAKE) -C src
	@echo "==== Successfully built LuaJIT $(VERSION) ===="

install: $(INSTALL_DEP)
	@echo "==== Installing LuaJIT $(VERSION) to $(PREFIX) ===="
	$(MKDIR) $(INSTALL_DIRS)
	cd src && $(INSTALL_X) $(FILE_T) $(INSTALL_T)
	cd src && test -f $(FILE_A) && $(INSTALL_F) $(FILE_A) $(INSTALL_STATIC) || :
	$(RM) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2)
	cd src && test -f $(FILE_SO) && \
	  $(INSTALL_X) $(FILE_SO) $(INSTALL_DYN) && \
	  $(LDCONFIG) $(INSTALL_LIB) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT1) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) || :
	cd etc && $(INSTALL_F) $(FILE_MAN) $(INSTALL_MAN)
	cd etc && $(SED_PC) $(FILE_PC) > $(FILE_PC).tmp && \
	  $(INSTALL_F) $(FILE_PC).tmp $(INSTALL_PC) && \
	  $(RM) $(FILE_PC).tmp
	cd src && $(INSTALL_F) $(FILES_INC) $(INSTALL_INC)
	cd src/jit && $(INSTALL_F) $(FILES_JITLIB) $(INSTALL_JITLIB)
	@echo "==== Successfully installed LuaJIT $(VERSION) to $(PREFIX) ===="
	@echo ""
	@echo "Note: the development releases deliberately do NOT install a symlink for luajit"
	@echo "You can do this now by running this command (with sudo):"
	@echo ""
	@echo "  $(SYMLINK) $(INSTALL_TNAME) $(INSTALL_TSYM)"
	@echo ""


uninstall:
	@echo "==== Uninstalling LuaJIT $(VERSION) from $(PREFIX) ===="
	$(UNINSTALL) $(INSTALL_T) $(INSTALL_STATIC) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2) $(INSTALL_MAN)/$(FILE_MAN) $(INSTALL_PC)
	for file in $(FILES_JITLIB); do \
	  $(UNINSTALL) $(INSTALL_JITLIB)/$$file; \
	  done
	for file in $(FILES_INC); do \
	  $(UNINSTALL) $(INSTALL_INC)/$$file; \
	  done
	$(LDCONFIG) $(INSTALL_LIB)
	$(RMDIR) $(UNINSTALL_DIRS) || :
	@echo "==== Successfully uninstalled LuaJIT $(VERSION) from $(PREFIX) ===="

##############################################################################

amalg:
	@echo "Building LuaJIT $(VERSION)"
	$(MAKE) -C src amalg

clean:
	$(MAKE) -C src clean

.PHONY: all install amalg clean

##############################################################################

=== third_party/luajit/luajit/src/Makefile ===
##############################################################################
# LuaJIT Makefile. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Also works with MinGW and Cygwin on Windows.
# Please check msvcbuild.bat for building with MSVC on Windows.
#
# Copyright (C) 2005-2017 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  1
RELVER=  0
ABIVER=  5.1
NODOTABIVER= 51

##############################################################################
#############################  COMPILER OPTIONS  #############################
##############################################################################
# These options mainly affect the speed of the JIT compiler itself, not the
# speed of the JIT-compiled code. Turn any of the optional settings on by
# removing the '#' in front of them. Make sure you force a full recompile
# with "make clean", followed by "make" if you change any options.
#
DEFAULT_CC = gcc
#
# LuaJIT builds as a native 32 or 64 bit binary by default.
CC= $(DEFAULT_CC)
#
# Use this if you want to force a 32 bit build on a 64 bit multilib OS.
#CC= $(DEFAULT_CC) -m32
#
# Since the assembler part does NOT maintain a frame pointer, it's pointless
# to slow down the C part by not omitting it. Debugging, tracebacks and
# unwinding are not affected -- the assembler part has frame unwind
# information and GCC emits it where needed (x64) or with -g (see CCDEBUG).
CCOPT= -O2 -fomit-frame-pointer
# Use this if you want to generate a smaller binary (but it's slower):
#CCOPT= -Os -fomit-frame-pointer
# Note: it's no longer recommended to use -O3 with GCC 4.x.
# The I-Cache bloat usually outweighs the benefits from aggressive inlining.
#
# Target-specific compiler options:
#
# x86/x64 only: For GCC 4.2 or higher and if you don't intend to distribute
# the binaries to a different machine you could also use: -march=native
#
CCOPT_x86= -march=i686 -msse -msse2 -mfpmath=sse
CCOPT_x64=
CCOPT_arm=
CCOPT_arm64=
CCOPT_ppc=
CCOPT_mips=
#
CCDEBUG=
# Uncomment the next line to generate debug information:
#CCDEBUG= -g
#
CCWARN= -Wall
# Uncomment the next line to enable more warnings:
#CCWARN+= -Wextra -Wdeclaration-after-statement -Wredundant-decls -Wshadow -Wpointer-arith
#
##############################################################################

##############################################################################
################################  BUILD MODE  ################################
##############################################################################
# The default build mode is mixed mode on POSIX. On Windows this is the same
# as dynamic mode.
#
# Mixed mode creates a static + dynamic library and a statically linked luajit.
BUILDMODE= mixed
#
# Static mode creates a static library and a statically linked luajit.
#BUILDMODE= static
#
# Dynamic mode creates a dynamic library and a dynamically linked luajit.
# Note: this executable will only run when the library is installed!
#BUILDMODE= dynamic
#
##############################################################################

##############################################################################
#################################  FEATURES  #################################
##############################################################################
# Enable/disable these features as needed, but make sure you force a full
# recompile with "make clean", followed by "make".
XCFLAGS=
#
# Permanently disable the FFI extension to reduce the size of the LuaJIT
# executable. But please consider that the FFI library is compiled-in,
# but NOT loaded by default. It only allocates any memory, if you actually
# make use of it.
#XCFLAGS+= -DLUAJIT_DISABLE_FFI
#
# Features from Lua 5.2 that are unlikely to break existing code are
# enabled by default. Some other features that *might* break some existing
# code (e.g. __pairs or os.execute() return values) can be enabled here.
# Note: this does not provide full compatibility with Lua 5.2 at this time.
#XCFLAGS+= -DLUAJIT_ENABLE_LUA52COMPAT
#
# Disable the JIT compiler, i.e. turn LuaJIT into a pure interpreter.
#XCFLAGS+= -DLUAJIT_DISABLE_JIT
#
# Some architectures (e.g. PPC) can use either single-number (1) or
# dual-number (2) mode. Uncomment one of these lines to override the
# default mode. Please see LJ_ARCH_NUMMODE in lj_arch.h for details.
#XCFLAGS+= -DLUAJIT_NUMMODE=1
#XCFLAGS+= -DLUAJIT_NUMMODE=2
#
# Enable GC64 mode for x64.
#XCFLAGS+= -DLUAJIT_ENABLE_GC64
#
##############################################################################

##############################################################################
############################  DEBUGGING SUPPORT  #############################
##############################################################################
# Enable these options as needed, but make sure you force a full recompile
# with "make clean", followed by "make".
# Note that most of these are NOT suitable for benchmarking or release mode!
#
# Use the system provided memory allocator (realloc) instead of the
# bundled memory allocator. This is slower, but sometimes helpful for
# debugging. This option cannot be enabled on x64 without GC64, since
# realloc usually doesn't return addresses in the right address range.
# OTOH this option is mandatory for Valgrind's memcheck tool on x64 and
# the only way to get useful results from it for all other architectures.
#XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
#
# This define is required to run LuaJIT under Valgrind. The Valgrind
# header files must be installed. You should enable debug information, too.
# Use --suppressions=lj.supp to avoid some false positives.
#XCFLAGS+= -DLUAJIT_USE_VALGRIND
#
# This is the client for the GDB JIT API. GDB 7.0 or higher is required
# to make use of it. See lj_gdbjit.c for details. Enabling this causes
# a non-negligible overhead, even when not running under GDB.
#XCFLAGS+= -DLUAJIT_USE_GDBJIT
#
# Turn on assertions for the Lua/C API to debug problems with lua_* calls.
# This is rather slow -- use only while developing C libraries/embeddings.
#XCFLAGS+= -DLUA_USE_APICHECK
#
# Turn on assertions for the whole LuaJIT VM. This significantly slows down
# everything. Use only if you suspect a problem with LuaJIT itself.
#XCFLAGS+= -DLUA_USE_ASSERT
#
##############################################################################
# You probably don't need to change anything below this line!
##############################################################################

##############################################################################
# Host system detection.
##############################################################################

ifeq (Windows,$(findstring Windows,$(OS))$(MSYSTEM)$(TERM))
  HOST_SYS= Windows
  HOST_RM= del
else
  HOST_SYS:= $(shell uname -s)
  ifneq (,$(findstring MINGW,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= mingw
  endif
  ifneq (,$(findstring CYGWIN,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= cygwin
  endif
endif

##############################################################################
# Flags and options for host and target.
##############################################################################

# You can override the following variables at the make command line:
#   CC       HOST_CC       STATIC_CC       DYNAMIC_CC
#   CFLAGS   HOST_CFLAGS   TARGET_CFLAGS
#   LDFLAGS  HOST_LDFLAGS  TARGET_LDFLAGS  TARGET_SHLDFLAGS
#   LIBS     HOST_LIBS     TARGET_LIBS
#   CROSS    HOST_SYS      TARGET_SYS      TARGET_FLAGS
#
# Cross-compilation examples:
#   make HOST_CC="gcc -m32" CROSS=i586-mingw32msvc- TARGET_SYS=Windows
#   make HOST_CC="gcc -m32" CROSS=powerpc-linux-gnu-

ASOPTIONS= $(CCOPT) $(CCWARN) $(XCFLAGS) $(CFLAGS)
CCOPTIONS= $(CCDEBUG) $(ASOPTIONS)
LDOPTIONS= $(CCDEBUG) $(LDFLAGS)

HOST_CC= $(CC)
HOST_RM= rm -f
# If left blank, minilua is built and used. You can supply an installed
# copy of (plain) Lua 5.1 or 5.2, plus Lua BitOp. E.g. with: HOST_LUA=lua
HOST_LUA=

HOST_XCFLAGS= -I.
HOST_XLDFLAGS=
HOST_XLIBS=
HOST_ACFLAGS= $(CCOPTIONS) $(HOST_XCFLAGS) $(TARGET_ARCH) $(HOST_CFLAGS)
HOST_ALDFLAGS= $(LDOPTIONS) $(HOST_XLDFLAGS) $(HOST_LDFLAGS)
HOST_ALIBS= $(HOST_XLIBS) $(LIBS) $(HOST_LIBS)

STATIC_CC = $(CROSS)$(CC)
DYNAMIC_CC = $(CROSS)$(CC) -fPIC
TARGET_CC= $(STATIC_CC)
TARGET_STCC= $(STATIC_CC)
TARGET_DYNCC= $(DYNAMIC_CC)
TARGET_LD= $(CROSS)$(CC)
TARGET_AR= $(CROSS)ar rcus
TARGET_STRIP= $(CROSS)strip

TARGET_LIBPATH= $(or $(PREFIX),/usr/local)/$(or $(MULTILIB),lib)
TARGET_SONAME= libluajit-$(ABIVER).so.$(MAJVER)
TARGET_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).dylib
TARGET_DYLIBPATH= $(TARGET_LIBPATH)/$(TARGET_DYLIBNAME)
TARGET_DLLNAME= lua$(NODOTABIVER).dll
TARGET_XSHLDFLAGS= -shared -fPIC -Wl,-soname,$(TARGET_SONAME)
TARGET_DYNXLDOPTS=

TARGET_LFSFLAGS= -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
TARGET_XCFLAGS= $(TARGET_LFSFLAGS) -U_FORTIFY_SOURCE
TARGET_XLDFLAGS=
TARGET_XLIBS= -lm
TARGET_TCFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ACFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ASFLAGS= $(ASOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ALDFLAGS= $(LDOPTIONS) $(TARGET_XLDFLAGS) $(TARGET_FLAGS) $(TARGET_LDFLAGS)
TARGET_ASHLDFLAGS= $(LDOPTIONS) $(TARGET_XSHLDFLAGS) $(TARGET_FLAGS) $(TARGET_SHLDFLAGS)
TARGET_ALIBS= $(TARGET_XLIBS) $(LIBS) $(TARGET_LIBS)

TARGET_TESTARCH=$(shell $(TARGET_CC) $(TARGET_TCFLAGS) -E lj_arch.h -dM)
ifneq (,$(findstring LJ_TARGET_X64 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x64
else
ifneq (,$(findstring LJ_TARGET_X86 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x86
else
ifneq (,$(findstring LJ_TARGET_ARM ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= arm
else
ifneq (,$(findstring LJ_TARGET_ARM64 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= arm64
else
ifneq (,$(findstring LJ_TARGET_PPC ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring LJ_LE 1,$(TARGET_TESTARCH)))
    TARGET_ARCH= -DLJ_ARCH_ENDIAN=LUAJIT_LE
  else
    TARGET_ARCH= -DLJ_ARCH_ENDIAN=LUAJIT_BE
  endif
  TARGET_LJARCH= ppc
else
ifneq (,$(findstring LJ_TARGET_MIPS ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring MIPSEL ,$(TARGET_TESTARCH)))
    TARGET_ARCH= -D__MIPSEL__=1
  endif
  ifneq (,$(findstring LJ_TARGET_MIPS64 ,$(TARGET_TESTARCH)))
    TARGET_LJARCH= mips64
  else
    TARGET_LJARCH= mips
  endif
else
  $(error Unsupported target architecture)
endif
endif
endif
endif
endif
endif

ifneq (,$(findstring LJ_TARGET_PS3 1,$(TARGET_TESTARCH)))
  TARGET_SYS= PS3
  TARGET_ARCH+= -D__CELLOS_LV2__
  TARGET_XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
  TARGET_XLIBS+= -lpthread
endif

TARGET_XCFLAGS+= $(CCOPT_$(TARGET_LJARCH))
TARGET_ARCH+= $(patsubst %,-DLUAJIT_TARGET=LUAJIT_ARCH_%,$(TARGET_LJARCH))

ifneq (,$(PREFIX))
ifneq (/usr/local,$(PREFIX))
  TARGET_XCFLAGS+= -DLUA_ROOT=\"$(PREFIX)\"
  ifneq (/usr,$(PREFIX))
    TARGET_DYNXLDOPTS= -Wl,-rpath,$(TARGET_LIBPATH)
  endif
endif
endif
ifneq (,$(MULTILIB))
  TARGET_XCFLAGS+= -DLUA_MULTILIB=\"$(MULTILIB)\"
endif
ifneq (,$(LMULTILIB))
  TARGET_XCFLAGS+= -DLUA_LMULTILIB=\"$(LMULTILIB)\"
endif

##############################################################################
# Target system detection.
##############################################################################

TARGET_SYS?= $(HOST_SYS)
ifeq (Windows,$(TARGET_SYS))
  TARGET_STRIP+= --strip-unneeded
  TARGET_XSHLDFLAGS= -shared
  TARGET_DYNXLDOPTS=
else
ifeq (,$(shell $(TARGET_CC) -o /dev/null -c -x c /dev/null -fno-stack-protector 2>/dev/null || echo 1))
  TARGET_XCFLAGS+= -fno-stack-protector
endif
ifeq (Darwin,$(TARGET_SYS))
  ifeq (,$(MACOSX_DEPLOYMENT_TARGET))
    export MACOSX_DEPLOYMENT_TARGET=10.4
  endif
  TARGET_STRIP+= -x
  TARGET_AR+= 2>/dev/null
  TARGET_XSHLDFLAGS= -dynamiclib -single_module -undefined dynamic_lookup -fPIC
  TARGET_DYNXLDOPTS=

=== debian/changelog ===
sysbench (1.0.16-2) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.16-2

 -- ubuntu-cloud-user <akopytov@gmail.com>  Mon, 14 Jan 2019 05:39:28 -0500

sysbench (1.0.11-1) unstable; urgency=low

  * add Debian Stretch support by adding optional build dependency on
    default-libmysqlclient-dev and replacing python-minimal with python
    (as minimal does not provide the shlex module required by cram)

 -- Alexey Kopytov <akopytov@gmail.com>  Sat, 09 Dec 2017 19:52:23 +0300

sysbench (1.0.6-1) unstable; urgency=low

  * Add pkg-config, vim-common and python-minimal and libpq-dev to build dependencies.
  * Fix 'clean' target in rules.
  * Add ChangeLog and COPYING to docs.
  * Remove tests/db/*.lua from install.
  * Pass --without-gcc-arch to configure to not override compiler flags
    passed by the build system

 -- Alexey Kopytov <akopytov@gmail.com>  Thu, 13 Apr 2017 23:04:34 +0300

sysbench (1.0-1) unstable; urgency=low

  * Initial release

 -- Alexey Kopytov <akopytov@gmail.com>  Wed, 10 Aug 2016 18:04:53 +0300

## sysbench 1.0.17

=== debian/changelog ===
sysbench (1.0.17-2) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.17-2

 -- ubuntu-cloud-user <akopytov@gmail.com>  Tue, 09 Apr 2019 12:07:19 -0400

## sysbench 1.0.17+ds

=== debian/changelog ===
sysbench (1.0.17+ds-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + exclude armhf from the list of supported architectures for the
      time being. (Closes: #906982)
    + use debhelper-compat instead of debian/compat.
  * Bump compat level to 12 (from 11; no further changes).
  * Bump Standards-Version to 4.4.0 (from 4.1.5; no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 18 Aug 2019 19:28:21 +0000

=== debian/control ===
Source: sysbench
Section: misc
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 libssl-dev,
 pkg-config,
 python-cram,
 txt2man,
 xsltproc
Standards-Version: 4.4.0
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://github.com/jcfp/debpkg-sysbench.git
Vcs-Browser: https://github.com/jcfp/debpkg-sysbench/

Package: sysbench
# exclude armhf; as a more convenient notation like !armhf isn't supported
# here (see #807264) that means listing everything else...
Architecture: any-alpha any-amd64 any-arm64 any-armeb arm armel any-avr32 any-hppa any-i386 any-ia64 any-m32r any-m68k any-mips any-mips64 any-mips64el any-mips64r6 any-mips64r6el any-mipsel any-mipsr6 any-mipsr6el any-nios2 any-or1k any-powerpc any-powerpcel any-ppc64 any-ppc64el any-riscv64 any-s390 any-s390x any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-sparc64 any-tilegx
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, scriptable and multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also be
 used to create arbitrarily complex workloads that do not involve a database
 server.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

=== debian/tests/control ===
Tests: upstream-testsuite
Depends: dpkg-dev, python-cram, sysbench

## sysbench 1.0.18

=== src/tests/mutex/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sbmutex sb_mutex.c)

=== third_party/concurrency_kit/ck/regressions/ck_bitmap/validate/Makefile ===
.PHONY: check clean

OBJECTS=serial

all: $(OBJECTS)

serial: serial.c ../../../include/ck_bitmap.h
	$(CC) $(CFLAGS) -o serial serial.c

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

check: all
	./serial

include ../../../build/regressions.build
CFLAGS+=-D_GNU_SOURCE

=== third_party/concurrency_kit/ck/regressions/ck_ring/benchmark/Makefile ===
.PHONY: clean distribution

OBJECTS=latency

all: $(OBJECTS)

latency: latency.c ../../../include/ck_ring.h
	$(CC) $(CFLAGS) -o latency latency.c

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=-D_GNU_SOURCE

=== third_party/concurrency_kit/ck/regressions/ck_sequence/benchmark/Makefile ===
.PHONY: clean distribution

OBJECTS=ck_sequence

all: $(OBJECTS)

ck_sequence: ck_sequence.c ../../../include/ck_sequence.h
	$(CC) $(CFLAGS) -o ck_sequence ck_sequence.c

check: all
	./ck_sequence $(CORES) 1

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=-D_GNU_SOURCE

=== debian/changelog ===
sysbench (1.0.18-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.18-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Tue, 05 Nov 2019 14:27:34 -0500

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Percona Development Team <mysql-dev@percona.com>
Build-Depends: debhelper, autoconf, automake, libaio-dev, libtool, libmysqlclient-dev | default-libmysqlclient-dev, libpq-dev, pkg-config, python
Standards-Version: 3.9.5
Homepage: https://github.com/akopytov/sysbench

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scriptable database and system performance benchmark
 sysbench is a scriptable multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also
 be used to create arbitrarily complex workloads that do not involve a
 database server.
 .
 sysbench comes with the following bundled benchmarks:
 .
 - oltp_*.lua: a collection of OLTP-like database benchmarks
 - fileio: a filesystem-level benchmark
 - cpu: a simple CPU benchmark
 - memory: a memory access benchmark
 - threads: a thread-based scheduler benchmark
 - mutex: a POSIX mutex benchmark

Package: sysbench-tpcc
Architecture: any
Pre-Depends: sysbench (>= 1.0.0)
Depends:  ${shlibs:Depends}, ${misc:Depends}
Description: TPCC tests files for sysbench

## sysbench 1.0.18+ds

=== src/drivers/mysql/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(sbmysql drv_mysql.c)

=== debian/changelog ===
sysbench (1.0.18+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add myself to uploaders for backports.

 -- Dominik George <natureshadow@debian.org>  Tue, 26 Nov 2019 11:09:00 +0100

sysbench (1.0.18+ds-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + switch Vcs fields to salsa.d.o.
    + replace build-dep on python-cram with python3-cram.
      (Closes: #943283)
  * Manpage: update to match current options. (Closes: #942369)
  * Copyright:
    + add upstream debian dir to Files-Excluded.
    + bump years for upstream and packaging.
  * Bump Standards-Version to 4.4.1 (from 4.4.0; no further changes).
  * Tests: switch upstream-test to python3-cram.
  * Patches: add 05_use_python3_version_of_cram.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 Nov 2019 19:44:04 +0000

=== debian/control ===
Source: sysbench
Section: misc
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 libssl-dev,
 pkg-config,
 python3-cram,
 txt2man,
 xsltproc
Standards-Version: 4.4.1
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://salsa.debian.org/jcfp-guest/sysbench.git
Vcs-Browser: https://salsa.debian.org/jcfp-guest/sysbench

Package: sysbench
# exclude armhf; as a more convenient notation like !armhf isn't supported
# here (see #807264) that means listing everything else...
Architecture: any-alpha any-amd64 any-arm64 any-armeb arm armel any-avr32 any-hppa any-i386 any-ia64 any-m32r any-m68k any-mips any-mips64 any-mips64el any-mips64r6 any-mips64r6el any-mipsel any-mipsr6 any-mipsr6el any-nios2 any-or1k any-powerpc any-powerpcel any-ppc64 any-ppc64el any-riscv64 any-s390 any-s390x any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-sparc64 any-tilegx
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, scriptable and multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also be
 used to create arbitrarily complex workloads that do not involve a database
 server.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysbench-$1\.tar\.gz/ \
 https://github.com/akopytov/sysbench/tags .*/v?(\d\S*)\.tar\.gz

## sysbench 1.0.19

=== third_party/concurrency_kit/ck/regressions/ck_pr/benchmark/Makefile ===
.PHONY: clean

all: ck_pr_cas_64 ck_pr_fas_64 ck_pr_cas_64_2 ck_pr_add_64 ck_pr_faa_64 ck_pr_neg_64 fp

fp: fp.c
	$(CC) $(CFLAGS) -o fp fp.c

ck_pr_cas_64_2: ck_pr_cas_64_2.c
	$(CC) $(CFLAGS) -o ck_pr_cas_64_2 ck_pr_cas_64_2.c -lm

ck_pr_cas_64: ck_pr_cas_64.c
	$(CC) $(CFLAGS) -o ck_pr_cas_64 ck_pr_cas_64.c -lm

ck_pr_fas_64: ck_pr_fas_64.c
	$(CC) $(CFLAGS) -o ck_pr_fas_64 ck_pr_fas_64.c -lm

ck_pr_add_64: ck_pr_add_64.c
	$(CC) $(CFLAGS) -o ck_pr_add_64 ck_pr_add_64.c -lm

ck_pr_faa_64: ck_pr_faa_64.c
	$(CC) $(CFLAGS) -o ck_pr_faa_64 ck_pr_faa_64.c -lm

ck_pr_neg_64: ck_pr_neg_64.c
	$(CC) $(CFLAGS) -o ck_pr_neg_64 ck_pr_neg_64.c -lm

clean:
	rm -rf ck_pr_cas_64 ck_pr_fas_64 ck_pr_cas_64_2 ck_pr_add_64 \
	       ck_pr_faa_64 ck_pr_neg_64 *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE

=== debian/changelog ===
sysbench (1.0.19-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.19-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Mon, 09 Dec 2019 05:44:56 -0500

sysbench (1.0.18-1) unstable; urgency=low

  * add libssl-dev to build dependencies

 -- Alexey Kopytov <akopytov@gmail.com>  Sun, 08 Dec 2019 14:02:01 +0300

## sysbench 1.0.20

=== debian/changelog ===
sysbench (1.0.20-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.20-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Fri, 08 May 2020 03:40:51 -0400

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Alexey Kopytov <akopytov@gmail.com>
Build-Depends: debhelper, autoconf, automake, libaio-dev, libtool, libmysqlclient-dev | default-libmysqlclient-dev, libpq-dev, pkg-config, python, libssl-dev
Standards-Version: 3.9.5
Homepage: https://github.com/akopytov/sysbench

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scriptable database and system performance benchmark
 sysbench is a scriptable multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also
 be used to create arbitrarily complex workloads that do not involve a
 database server.
 .
 sysbench comes with the following bundled benchmarks:
 .
 - oltp_*.lua: a collection of OLTP-like database benchmarks
 - fileio: a filesystem-level benchmark
 - cpu: a simple CPU benchmark
 - memory: a memory access benchmark
 - threads: a thread-based scheduler benchmark
 - mutex: a POSIX mutex benchmark

Package: sysbench-tpcc
Architecture: any
Pre-Depends: sysbench (>= 1.0.0)
Depends:  ${shlibs:Depends}, ${misc:Depends}
Description: TPCC tests files for sysbench

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	autoreconf -vif
	dh_auto_configure -- --with-mysql --with-pgsql --without-gcc-arch

override_dh_compress:
	dh_compress -X.lua

override_dh_auto_test:
	@echo "Skipping test step"

override_dh_auto_install:
	dh_auto_install
	cp tpcc/tpcc.lua debian/tmp/tpcc.lua
	cp tpcc/tpcc_check.lua debian/tmp/tpcc_check.lua
	cp tpcc/tpcc_common.lua debian/tmp/tpcc_common.lua
	cp tpcc/tpcc_run.lua debian/tmp/tpcc_run.lua

## sysbench 1.0.20+ds

=== src/tests/fileio/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
ADD_LIBRARY(sbfileio sb_fileio.c crc32.c)

=== debian/changelog ===
sysbench (1.0.20+ds-8) unstable; urgency=medium

  * Control: bump Standards-Version to 4.7.3 (from 4.7.0).
  * Control: set architecture restrictions to disable build on powerpc,
    ppc64 (libck broken on both), riscv64, and s390x (luajit too buggy).
    Closes: #1106676, #1125475
  * Watch: convert to v5.
  * Copyright: bump packaging years, replace old FSF address.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 15 Jan 2026 07:54:00 +0000

sysbench (1.0.20+ds-7) unstable; urgency=medium

  * Replace build-dep on libluajit2-5.1-dev with its equivalent provided
    by the libluajit without a "2". (Closes: #1072353)
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).
  * Control: replace build-dep on pkg-config with pkgconf.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 01 Jun 2024 16:03:11 +0000

sysbench (1.0.20+ds-6) unstable; urgency=medium

  * Remove restrictions on architecture, now that ppc64el has been
    excluded in libluajit2. (Closes: #1056377)
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Lintian: modify override to match changes in output format.
  * Copyright: bump packaging years.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 13 Dec 2023 13:03:40 +0000

sysbench (1.0.20+ds-5) unstable; urgency=medium

  * Control: exclude ppc64el once more, as it turns out luajit2 is buggy
    on that platform as well (segfaults running the testsuite during
    build in this and other packages).
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no further
    changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 18 Jun 2022 07:27:59 +0000

sysbench (1.0.20+ds-4) unstable; urgency=medium

  * Control: revert binary package to arch:any, replace build-dep on
    luajit with luajit2 which should be binary-compatible but does
    support ppc64el.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 09 Jun 2022 07:46:16 +0000

sysbench (1.0.20+ds-3) unstable; urgency=medium

  * Control: disable ppc64el because of problems with luajit on that
    arch. (Closes: #1011307)

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 May 2022 16:02:10 +0000

sysbench (1.0.20+ds-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jeroen Ploemen ]
  * Use my debian.org email address for maintainer and copyright.
  * Rules: add a dh_auto_build override to prevent a false positive for
    a non-verbose build in blhc.
  * Control: set Rules-Requires-Root: no.
  * Upstream: add Repository fields to metadata.
  * Control: bump Standards-Version to 4.6.0 (from 4.5.0; no further
    changes).
  * Copyright: bump year for packaging.
  * Lintian: override very-long-line-length-in-source-file for
    README.md.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 23 Oct 2021 06:29:30 +0000

sysbench (1.0.20+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0 (from 4.4.1; no further changes).
  * Bump compat level to 13 (from 12).
  * Rules: use execute_before instead of overriding dh_auto_build.
  * Copyright: bump years for upstream and packaging.
  * Patches: add 06 to prevent git commit hash from becoming part of the
    program's version string.
  * Control: restore support for building on armhf, tests no longer hang
    on that platform.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 05 Jun 2020 13:47:03 +0000

=== debian/control ===
Source: sysbench
Section: misc
Maintainer: Jeroen Ploemen <jcfp@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 libssl-dev,
 pkgconf,
 python3-cram,
 txt2man,
 xsltproc
Standards-Version: 4.7.3
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://salsa.debian.org/jcfp/sysbench.git
Vcs-Browser: https://salsa.debian.org/jcfp/sysbench

Package: sysbench
Architecture: any-amd64 arm64 armhf any-i386 loong64 ppc64el alpha hppa m68k sh4 sparc64 x32
# i.e. !riscv64 !s390x !powerpc !ppc64 - but that notation cannot be used here...
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, scriptable and multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also be
 used to create arbitrarily complex workloads that do not involve a database
 server.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

=== debian/watch ===
Version: 5

Source: https://github.com/akopytov/sysbench/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Dversionmangle: s/\+ds$//
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/sysbench-$1\.tar\.gz/
Repacksuffix: +ds
